Bug 640951 - IPV4 DHCP configuration is always used in stage 2 network enablement.
IPV4 DHCP configuration is always used in stage 2 network enablement.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
AcceptedBlocker
:
Depends On:
Blocks: F14AnacondaBlocker
  Show dependency treegraph
 
Reported: 2010-10-07 06:32 EDT by Radek Vykydal
Modified: 2013-01-10 01:15 EST (History)
7 users (show)

See Also:
Fixed In Version: 14.19-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 641324 (view as bug list)
Environment:
Last Closed: 2010-10-21 11:58:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch with fix (1.36 KB, patch)
2010-10-07 06:32 EDT, Radek Vykydal
no flags Details | Diff

  None (edit)
Description Radek Vykydal 2010-10-07 06:32:03 EDT
Created attachment 452081 [details]
patch with fix

Description of problem:

If the network is enabled in stage 2, IPV4 DHCP instead of configuration set in nm-c-e.

Version-Release number of selected component (if applicable):

Fedora 14 Beta,
anaconda-14.17.4

How reproducible:

Always

Steps to Reproduce:
1. Start DVD install
2. Enable Fedora 14 Beta repo in repository UI screen
3. Configure static networking in nm-c-e.
4. look at ifconfig in tty2 - dhcp was used
  
Actual results:

IPv4 DHCP is used.

Expected results:

Configuration set in nm-c-e is used

Additional info:

Attaching tested patch
Comment 1 Radek Vykydal 2010-10-08 07:24:05 EDT
Proposing as F14 Blocker with hope for Nice To Have.

The patch in master:
http://git.fedorahosted.org/git/?p=anaconda.git;a=commit;h=2978f4418f0d6c1d0f64cab9056bb5c989f2abc9
Comment 2 Radek Vykydal 2010-10-08 12:24:12 EDT
(In reply to comment #0)

> 
> Steps to Reproduce:
> 1. Start DVD install
> 2. Enable Fedora 14 Beta repo in repository UI screen
> 3. Configure static networking in nm-c-e.
> 4. look at ifconfig in tty2 - dhcp was used
> 
> Actual results:
> 
> IPv4 DHCP is used.
> 

If dhcp configuration doesn't fail (i.e. there actually is a DHCP server on the
line).
Comment 3 Adam Williamson 2010-10-08 13:39:59 EDT
We discussed this at the 2010-10-08 blocker review meeting and accepted it as a blocker under the criteria dealing with network installation methods, as there's a scenario where this could prevent network install working.
Comment 4 Radek Vykydal 2010-10-11 08:23:33 EDT
This should be fixed in anaconda 14.19-1.
Comment 5 James Laska 2010-10-12 12:03:31 EDT
Moving to ON_QA (see https://admin.fedoraproject.org/updates/anaconda-14.19-1.fc14)
Comment 6 He Rui 2010-10-13 05:36:46 EDT
Verified anaconda 14.19 fixes this issue.
Comment 7 Jesse Keating 2010-10-21 11:58:09 EDT
anaconda 14.22 is in stable.

Note You need to log in before you can comment on or make changes to this bug.